Bug 633127 - Review Request: python-zope-dottedname - Resolver for Python dotted names
Review Request: python-zope-dottedname - Resolver for Python dotted names
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alec Leamas
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 633138
  Show dependency treegraph
 
Reported: 2010-09-12 22:47 EDT by Robin Lee
Modified: 2012-06-16 19:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 19:56:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
leamas.alec: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2010-09-12 22:47:24 EDT
Spec URL: http://cheeselee.fedorapeople.org/python-zope-dottedname.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-zope-dottedname-3.4.6-2.fc13.src.rpm
Description:
The zope.dottedname module provides one function, 'resolve' that
resolves strings containing dotted names into the appropriate Python
object.

rpmlint results:
$ rpmlint ./python-zope-dottedname.spec 
./python-zope-dottedname.spec: W: no-cleaning-of-buildroot %install
./python-zope-dottedname.spec: W: no-cleaning-of-buildroot %clean
./python-zope-dottedname.spec: W: no-buildroot-tag
./python-zope-dottedname.spec: W: no-%clean-section
0 packages and 1 specfiles checked; 0 errors, 4 warnings.

$ rpmlint ./python-zope-dottedname-3.4.6-2.fc13.src.rpm 
python-zope-dottedname.src: W: no-cleaning-of-buildroot %install
python-zope-dottedname.src: W: no-cleaning-of-buildroot %clean
python-zope-dottedname.src: W: no-buildroot-tag
python-zope-dottedname.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

$ rpmlint ./python-zope-dottedname-3.4.6-2.fc13.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Alec Leamas 2012-05-03 15:17:42 EDT
Package Review
==============
Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed, I suggest that you just remove them.
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
     /home/mk/tmp/633127/zope.dottedname-3.4.6.tar.gz :
        MD5SUM this package     : 62d639f75b31d2d864fe5982cb23959c
        MD5SUM upstream package : 62d639f75b31d2d864fe5982cb23959c

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if
     packaging for EPEL5. I suggest that you just remove it.
[!]  Inform upstream about missing license file.
[!]  PKG-INFO seems to be the only file claiming overall copyright.
     Include in %doc
[!]  Include README.txt in %doc. It's content seem to be pasted into
     PKG-INFO, but this might change over time.
[!]  Consider running the unittest in tests.py file (in %check).


rpmlint python-zope-dottedname-3.4.6-2.fc18.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint python-zope-dottedname-3.4.6-2.fc18.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


<mock-chroot> # rpmlint python-zope-dottedname
    python-zope-dottedname.noarch: I: enchant-dictionary-not-found en_US
    1 packages and 0 specfiles checked; 0 errors, 0 warnings.

<mock-chroot> # rpm -q --provides python-zope-dottedname
    python-zope-dottedname = 3.4.6-2.fc15

<mock-chroot> # rpm -q --requires  python-zope-dottedname | grep -v rpmlib
    python(abi) = 2.7

Generated by fedora-review 0.1.3
External plugins:
Comment 2 Robin Lee 2012-05-27 03:15:20 EDT
Spec URL: http://cheeselee.fedorapeople.org/python-zope-dottedname.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-zope-dottedname-3.4.6-3.fc17.src.rpm

Changes:
- Remove defattr
- Move README.txt to %doc

(In reply to comment #1)
> Issues:
> [!]: MUST Each %files section contains %defattr if rpm < 4.4
>      Note: defattr(....) present in %files section. This is OK if
>      packaging for EPEL5. I suggest that you just remove it.
Done.

> [!]  Inform upstream about missing license file.
License file will be included in next upstream release if any.

> [!]  PKG-INFO seems to be the only file claiming overall copyright.
>      Include in %doc
PKG-INFO is already included in egg-info.

> [!]  Include README.txt in %doc. It's content seem to be pasted into
>      PKG-INFO, but this might change over time.
Done.

> [!]  Consider running the unittest in tests.py file (in %check).
Already done.
Comment 3 Alec Leamas 2012-05-28 15:23:15 EDT
(In reply to comment #2)

Hi!

Sorry for delay, have been away (disconnected for a week), and my mailboxes are, well, you know...
>
> > [!]  PKG-INFO seems to be the only file claiming overall copyright.
> >      Include in %doc
> PKG-INFO is already included in egg-info.
> 
Hm... shouldn't license info be in %doc? Either just do it, or we'll have to investigate.  If you just fix it, I'll approve.
Comment 4 Robin Lee 2012-05-28 21:30:32 EDT
Spec URL: http://cheeselee.fedorapeople.org/python-zope-dottedname.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-zope-dottedname-3.4.6-4.fc17.src.rpm

Change:
- Include PKG-INFO in %doc

(In reply to comment #3)
> Hm... shouldn't license info be in %doc? Either just do it, or we'll have to
> investigate.  If you just fix it, I'll approve.

Guideline says 'If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.' IMO, only the license text must be included %doc, not other formats of licensing announcement.
Comment 5 Alec Leamas 2012-05-29 04:19:52 EDT
The guidelines wants us to provide proper license info. In this case, PKG-INFO is what we have besides the source, there is no license file.  Also, there is common practise: if you look around you will find a lot more than LICENSE in the %doc field.

But maybe the best way is to ask the list? It depends on what's important for you, a clarification or to get the package approved. My offer is still open: just include it, and we're done.
Comment 6 Robin Lee 2012-05-30 04:43:59 EDT
I prefer getting the package approved. For me, it is clear that only including license text is a must.

3.4.6-4 already includes PKG-INFO in %doc.
Comment 7 Alec Leamas 2012-05-30 12:52:22 EDT
Se be it. 

*** Approved
Comment 8 Robin Lee 2012-06-01 11:46:41 EDT
Hi, the fedora-review flag is not set to '+'.
Comment 9 Alec Leamas 2012-06-07 18:04:57 EDT
Indeed... Sorry. Fixed
Comment 10 Robin Lee 2012-06-07 21:43:51 EDT
New Package SCM Request
=======================
Package Name: python-zope-dottedname
Short Description: Resolver for Python dotted names
Owners: cheeselee
Branches: f17
InitialCC:
Comment 11 Gwyn Ciesla 2012-06-08 08:34:46 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-06-08 10:06:40 EDT
python-zope-dottedname-3.4.6-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-zope-dottedname-3.4.6-4.fc17
Comment 13 Fedora Update System 2012-06-08 20:08:00 EDT
python-zope-dottedname-3.4.6-4.fc17 has been pushed to the Fedora 17 testing repository.
Comment 14 Fedora Update System 2012-06-16 19:56:49 EDT
python-zope-dottedname-3.4.6-4.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.